X11.XID (JNA API)

com.sun.jna.platform.unix

## Class X11.XID

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.unix.X11.XID

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Direct Known Subclasses:
    X11.Atom, X11.Colormap, X11.Cursor, X11.Drawable, X11.Font, X11.KeySym, X11.Xrender.PictFormat
  Enclosing interface:
    X11

      public static class X11.XID
      extends NativeLong

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static X11.XID` | `None`

    - ### Fields inherited from class com.sun.jna.NativeLong

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XID()`
    `XID(long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
    `protected boolean` | `isNone(java.lang.Object o)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### None

          public static final X11.XID None

  - ### Constructor Detail

    - #### XID

          public XID()

    - #### XID

          public XID(long id)

  - ### Method Detail

    - #### isNone

          protected boolean isNone(java.lang.Object o)

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                             FromNativeContext context)

      Description copied from interface: `NativeMapped`
      Convert the given native object into its Java representation using the given context.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Overrides:
        `fromNative` in class `IntegerType`
      Parameters:
        `nativeValue` - Java representation of the native type to be converted.
        `context` - Context in which the conversion is taking place.
      Returns:
        Converted object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IntegerType`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.